Исходники, описания, примеры

Автор olden, 12.10.06, 07:35:42

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

olden

Предлагаю в этот топик скидывать свои примеры с описанием (по возможности) или кусочки программ  использования разных функций и команд. Так как по справке не всегда понятно использование той или иной команды. И в примерах можно не найти все что нужно. Я думаю что многие оценят стоимость данного топика.

olden

Начну первым.
Три примера по созданию панели инструментов (VB6).

Маратович

Предлагаю небольшое дополнение - Обязательно указывать для какой версии написаны исходники. (хотя-бы на чём проверены)

olden

Извеняюсь. Исходники выше проверены на Компас-3D 8+

olden

Люди отзавитесь. Что никому не интересна эта тема? Почему никто не помогает развиваться этому топику? Не стесняйтесь.

Lito 2

Эх, исходников жалко, стока труда ;)

olden

необязательно выкладывать полность весь исходник. Достаточно в исходнике осветить какую нибудь тему. Например: работа с базой данных, как нарисовать линию, запросы к системе, создание панелей свойств и так далее и тому подобное.

Гость

Вот здесь несколько прикладных библиотек http://www.kompas-sapr.com/index.php?option=com_content&task=blogcategory&id=15&Itemid=45 там ниппеля, пуансоны, фиксаторы, установочные кольца, винты, втулки, гайки и опоры

olden

04.11.06, 09:18:35 #8 Последнее редактирование: 10.11.06, 21:48:20 от olden
Как создать пространственную кривую - ломаную. VB6. Компас-3D 8+ SP2.
история:
1.   Создать ломанную
2.   Добавить вершину между двумя вершинами
3.   Удалить вершину
4.   Получить параметры вершины с индексом
5.   Узнать координаты вершин ломаной

olden

Всяко-разно. VB6. Компас-3D 8+ SP2.
история:
1. Получить индекс объекта в дереве построения по имени и типу объека

olden

Друзья помогайте. Я не в состоянии охватить все темы API. Или уже никто ничего не пишит под компас.

IronMaxxx

Цитата: olden от 16.11.06, 23:40:58
Друзья помогайте. Я не в состоянии охватить все темы API. Или уже никто ничего не пишит под компас.


Пишут. Но, перед тем, как выкладывать, исходники "причесать" надо, комментарии туда напихать всякие, а это - время... А время - это... :)

olden

Цитата: IronMaxxx от 17.11.06, 10:51:43
исходники "причесать" надо

Тогда неприменно ждем «после визита парикмахера».  :)  :)  :)

Andrei

Исходник и исполняемый файл для Компас-7 и Delphi 7, реализующие вызов Компаса, построение плоских и пространственных графических моделей по заданным размерам. Для плоского чертежа реализована штриховка и простановка размеров. Пример демонстрировался на региональном семинаре "Аскон-Центр" в Липецком государственном техническом университете 21 ноября 2006 г, включен в учебное пособие по дисциплине "Программное обеспечение САПР" для студентов специальности "Автомобиле- и тракторостроение" специализации "САПР" (правда, в более документированном виде).

С уважением - автор.

userascon2

Программа автоматически сохраняет все чертежи Компаса в выбранной папке в формате gif (рисунков).

Высылаю файлы проекта, необходимо только добавить в проект VB в меню Project-References элементы:
OLE-Automation
Kompas6API2D5COM
Kompas6API3D5COM
Kompas6API5
Kompas6Constants
Kompas6Constants3D

просто напротив них поставить галочки, и запускайте, должно работать.

Au revoir.

olden

Спасибо Всем, кто помогает в развитии этой темы. И до новых встреч на страницах этой темы.

olden

Я смотрю тема заглохла. У меня тоже неполучается. Но обещаю что буду продолжать вылаживать свои описания. Люди подключайтесь. Вылаживайте. Зачем мучатся в одиночку. Если разобрался, поделись мыслями своими.

Nesh

Вот мой код содания массива операций по концетрической сетке. при работе Компас выдает сообщение: "Вырожденый обьект". Что я делаю не так.
Пример кода:
mass1:=ksEntity(part.NewEntity(o3d_circularCopy));
     massoSetke:=ksCircularCopyDefinition(mass1.GetDefinition);
     massoSetke.SetAxis(entityAxisPLane);
   entityCollection:=ksEntityCollection(part.EntityCollection(o3d_bossExtrusion));
   ent:=ksEntity(part.NewEntity(o3d_bossExtrusion));
      massoSetke.GetOperationArray();
    ent:=ksEntity(entityCollection.GetByIndex(0)) (так как у меня только одна операция);
Kompas.ksMessage(ent.name);
mass1.Create;

woodyfon

Просмотрел ответы, а примеров то нет! Если можно , то приведите пример на Delphi код построения одной линии в Компас 7+ со всеми подключенными модулями и интерфейсами.

yarikv

Вот пример. правда для 8+. но надеюсь поможет. делфи7